Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.unittest
Class TestSyndFeedAtom03DCSyModules

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.sun.syndication.unittest.FeedTest
                  com.sun.syndication.unittest.SyndFeedTest
                      com.sun.syndication.unittest.TestSyndFeedAtom03
                          com.sun.syndication.unittest.TestSyndFeedAtom03DCSyModules

All Implemented Interfaces:
  junit.framework.Test

    public class TestSyndFeedAtom03DCSyModules

extends TestSyndFeedAtom03

Author:
  pat TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Generation - Code and Comments

Constructor Summary
`` | `TestSyndFeedAtom03DCSyModules()`
`protected` | `TestSyndFeedAtom03DCSyModules(String type)`
`protected` | `TestSyndFeedAtom03DCSyModules(String feedType, String feedFileName)`

Method Summary
`protected void` | `_testDCModule(DCModule dc, String prefix, boolean isEntry, int index)`
`protected void` | `_testEntryDCModule(int i)`
`void` | `testEntriesDCModule()`
`void` | `testFeedDCModule()`
`void` | `testFeedSyModule()`
`void` | `testLanguage()`
`void` | `testModules()`

Methods inherited from class com.sun.syndication.unittest.TestSyndFeedAtom03
`_testEntry, getAuthor, testCopyright, testDescription, testEntry0, testEntry1, testEntryDescription, testEntryLink, testEntryTitle, testImage, testLink, testPublishedDate, testTitle`

Methods inherited from class com.sun.syndication.unittest.SyndFeedTest
`assertEqualsStr, assertProperty, getEntryAuthor, getEntryDescription, getEntryLink, getEntryPublishedDate, getEntryTitle, getPrefix, tearDown, testEntries, testEntryPublishedDate, testPreserveWireFeed, testType`

Methods inherited from class com.sun.syndication.unittest.FeedTest
`getCachedJDomDoc, getCachedSyndFeed, getCachedSyndFeed, getCachedWireFeed, getFeedFileName, getFeedReader, getJDomDoc, getSyndFeed, getWireFeed`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestSyndFeedAtom03DCSyModules

    public TestSyndFeedAtom03DCSyModules()

### TestSyndFeedAtom03DCSyModules

    protected TestSyndFeedAtom03DCSyModules(String type)

### TestSyndFeedAtom03DCSyModules

    protected TestSyndFeedAtom03DCSyModules(String feedType,
                                            String feedFileName)

Method Detail

### testModules

    public void testModules()
                     throws Exception

  Throws:
    `Exception`

### testFeedDCModule

    public void testFeedDCModule()
                          throws Exception

  Throws:
    `Exception`

### _testDCModule

    protected void _testDCModule(DCModule dc,
                                 String prefix,
                                 boolean isEntry,
                                 int index)
                          throws Exception

  Throws:
    `Exception`

### testFeedSyModule

    public void testFeedSyModule()
                          throws Exception

  Throws:
    `Exception`

### testEntriesDCModule

    public void testEntriesDCModule()
                             throws Exception

  Throws:
    `Exception`

### _testEntryDCModule

    protected void _testEntryDCModule(int i)
                               throws Exception

  Throws:
    `Exception`

### testLanguage

    public void testLanguage()
                      throws Exception

  Overrides:
    `testLanguage` in class `TestSyndFeedAtom03`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.